<div class="description_text">
    <?php include_once 'i_softness.phtml'; ?>
    <div class="clr"></div>
</div>
<div class="clr"></div>
<?php
$actual_url = "/";
foreach ($this->breadcrumbs_url as $value) {
    $actual_url.=$value . "/";
}
if (!empty($this->products)) {
    $j = 1;
    foreach ($this->products as $k => $v) {
        if (APP_LOCALE == 'cz' or ( isset($products_in_row) and $products_in_row == 4))
            echo ($j % 4 == 1) ? '<div class="product_group">' : '';
        else
            echo ($j % 2 == 1) ? '<div class="product_group">' : '';
        if ($v['subcategory_url'] != "")
            $product_url = $v['category_url'] . "/" . $v['subcategory_url'] . "/" . $v['product_url'];
        else
            $product_url = $v['category_url'] . "/" . $v['product_url'];
        echo "<div class='product'>
                <a href='/" . $product_url . "/' title='" . $v['product_name'] . "'>
                    <img id='kosik$j' src='/graphics/kosik_ico.png' alt='" . $v['product_name'] . "' class='kosik'/>";
        if ($v['product_new']) {
            echo "<img src='/img_products/novinka.png' alt='' style='position: absolute; z-index:3'/>";
        }
        if ($v['product_certified']) {
            echo "<img src='/img_products/certifikace.png' alt='' style='position: absolute; z-index:4'/>";
        }
        echo "<img src='/img_products/" . $v['product_ID'] . ".jpg' alt='" . $v['product_name'] . "' />
                </a>
                <p id='pocet$j' class='kosikcislo cufon'>0</p>
                <h2><a href='" . $actual_url . $v['product_url'] . "/' title='" . $v['product_name'] . "'>" . $v['product_name'] . "</a></h2>
                <p>";
        echo (!empty($v['product_material'])) ? "<b>" . $this->str->material . "</b>" . $v['product_material'] . "<br/>" : "";
        echo (!empty($v['product_manufacture'])) ? "<b>" . $this->str->production . "</b>" . $v['product_manufacture'] . "<br/>" : "";
        echo (!empty($v['product_note'])) ? $v['product_note'] . "<br/>" : "";

        echo (!empty($this->hair) and ! empty($v['product_hair'])) ? "<b>" . $this->hair . "</b> " . $v['product_hair'] . "$this->hairunit<br/>" : "";
        echo (!empty($v['product_price'])) ? "<b>" . $this->str->price1 . "</b>" . $v['product_price'] . " " . $this->currency . "/m&sup2;<br/>" : "";
        if (isset($_SESSION['products'][$v['product_ID']])) {
            echo "<script type='text/javascript'>showKosik($j, " . $_SESSION['products'][$v['product_ID']] . ");</script>";
        }

        if (!empty($v['array_specific_ID'])) {
            $i = 0;
            $specific_ID = explode(";", $v['array_specific_ID']);
            $specific_code = explode(";", $v['array_specific_code']);
            $specific_weight = explode(";", $v['array_specific_weight']);
            $specific_size = explode(";", $v['array_specific_size']);
            $specific_quantity = explode(";", $v['array_specific_quantity']);
            $specific_price = explode(";", $v['array_specific_price']);
            foreach ($specific_ID as $key => $value) {
                if (isset($_SESSION['specifics'][$specific_ID[$i]])) {
                    $vKosiku = $_SESSION['specifics'][$specific_ID[$i]];
                    echo "<script type='text/javascript'>showKosik($j, " . $vKosiku . ");</script>";
                } else {
                    $vKosiku = 0;
                }
                echo ($i == 0) ? "" : "<br/>";
                echo "<b>" . $this->str->size . "</b> " . $specific_size[$i] . "<br/>";
                echo (!empty($specific_weight[$i])) ? "<b>" . $this->str->weight . "</b> " . $specific_weight[$i] . "<br/>" : "";
                echo "<b>" . $this->str->stock . "</b> " . $specific_quantity[$i] . " " . $this->str->pcs . "<br/>";
                echo "<b>" . $this->str->price2 . " </b> " . $specific_price[$i] . " " . $this->currency . "<br/>";
                echo (($v['product_status'] == 'prodavan') and ! empty($specific_price[$i]) and $specific_quantity[$i] - $vKosiku > 0) ? "<form method='post' action='/session/add/'>
                        <input type='hidden' name='specificId' value='" . $specific_ID[$i] . "'/>
                        <input type='hidden' name='redirect' value='" . $_SERVER['REQUEST_URI'] . "'/>
                        <input style='width: 190px' type='submit' value='" . $this->str->add . "'/>
                      </form>" : "<form>
                        <input style='width: 190px' type='button' value='" . $this->str->ask . "' onClick=\"parent.location='mailto:" . $this->config->email . "?subject=" . $this->str->question . " " . $v['product_name'] . "'\">
                    </form>";
                $i++;
            }
        } else {
            echo "<form>
                    <input style='width: 190px' type='button' value='" . $this->str->ask . "' onClick=\"parent.location='mailto:" . $this->config->email . "?subject=" . $this->str->question . " " . $v['product_name'] . "'\">
               </form>";
        }
        echo '</p></div>';
        if (APP_LOCALE == 'cz' or ( isset($products_in_row) and $products_in_row == 4))
            echo ($j % 4 == 0) ? '</div>' : '';
        else
            echo ($j % 2 == 0) ? '</div>' : '';
        $j++;
    }
} else {
    echo "<h2 style='text-align: center'>" . $this->str->empty . "</h2>";
}
?>